#
# spec file for package muroar
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define soname 0
Name:           muroar
Version:        0.1.13
Release:        lp150.2.4
Summary:        Minimal implementation of the RoarAudio protocol
License:        LGPL-3.0+ and GPL-3.0+
Group:          System/Sound Daemons
Url:            http://roaraudio.keep-cool.org/
Source0:        http://roaraudio.keep-cool.org/dl/%{name}-%{version}.tar.gz
%if 0%{?suse_version} > 1110
BuildRequires:  bash-completion
%endif
BuildRequires:  gcc
BuildRequires:  libdnet-devel
BuildRequires:  make
BuildRequires:  pkgconfig
Recommends:     roaraudio-server
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Minimal implementation of the RoarAudio protocol. It supports the basic
protocol to stream music to a server however do not include much controling
of the stuff.

%package -n     lib%{name}%{soname}
Summary:        Minimal RoarAudio client library
Group:          System/Libraries

%description -n lib%{name}%{soname}
Minimal library which enables a program to open a stream and send or
receive data from/to the RoarAudio Sound Server. This library in contrast
to libroar (RoarAudio's main library) allows to be linked with non-free and
non-GPLed programs.

%package  		devel
Summary:        Development Environment for the RoarAudio Sound System
Group:          Development/Libraries/C and C++
Requires:       lib%{name}%{soname} = %{version}
Requires:       pkgconfig

%description    devel
Minimal implementation of the RoarAudio protocol.
...
This package contains header files, and libraries needed to develop
application that use muroar.

%prep
%setup -q

# Change link to shared libraries
sed -i '/^.ln/s/\(PREFIX_LIB)\)/\1\//' Makefile

%build
export CFLAGS="%{optflags}"
./configure \
    --prefix /usr \
    --prefix-lib %{_libdir}

make %{?_smp_mflags}

%install
%make_install

%if 0%{?suse_version} > 1110
install -Dm 644 bash_completion %{buildroot}%{_datadir}/bash-completion/completions/%{name}
%endif

rm -f %{buildroot}%{_libdir}/lib%{name}.a

%post   -n lib%{name}%{soname} -p /sbin/ldconfig

%postun -n lib%{name}%{soname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING* README TODO
%{_bindir}/muroarstream
%if 0%{?suse_version} > 1110
%{_datadir}/bash-completion
%endif
%{_mandir}/man?/muroarstream.1.gz

%files -n lib%{name}%{soname}
%defattr(-,root,root)
%{_libdir}/lib%{name}.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/muroar.h
%{_libdir}/lib%{name}.so
%{_mandir}/man?/%{name}*.3*
%{_mandir}/man?/lib%{name}.7*

%changelog
* Fri Apr  3 2015 avvissu@yandex.ru
- Initial version
